=== docs/CMakeLists.txt ===
# CMakeLists for documentation

include (${CMAKE_SOURCE_DIR}/data/cmake/documentation.cmake)

add_xml_manpages(doc-man "appstream-index.1" "" "")
