=== debian/changelog ===
appstream (0.1-1) unstable; urgency=low

  * Initial release (Closes: #689998)

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 08 Oct 2012 20:57:15 +0200
