=== debian/watch ===
version=3

http://www.freedesktop.org/software/appstream/AppStream-([\d\.]+)\.tar\.gz
