=== data/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,10 @@
 configure_file(org.freedesktop.AppStream.service.in
   "${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.AppStream.service"
   IMMEDIATE @ONLY
+)
+
+install(FILES appstream.conf
+	DESTINATION ${INSTALL_DIR_SYSCONF}
 )
 
 install(FILES org.freedesktop.AppStream.conf
@@ -33,3 +37,7 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.appstream.policy
 	DESTINATION share/polkit-1/actions/
 )
+
+install(FILES categories.xml
+	DESTINATION share/app-info/
+)
