=== debian/changelog ===
appstream (0.3.1-3) unstable; urgency=low

  * Tighten dependency on libappstream0 (Closes: #714513)
  * Add AppStream app-info dir to trigger
  * Install missing config file

 -- Matthias Klumpp <mak@debian.org>  Thu, 11 Jul 2013 18:15:25 +0200

appstream (0.3.1-2) unstable; urgency=low

  * Don't automatically refresh cache after installation (Closes: #703513)

 -- Matthias Klumpp <mak@debian.org>  Sat, 29 Jun 2013 21:28:52 +0200

appstream (0.3.1-1) unstable; urgency=low

  * Update debian/watch file
  * New upstream release: 0.3.1
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Fri, 28 Jun 2013 17:52:08 +0200

appstream (0.2.0-2) unstable; urgency=low

  * Fix debian/watch file
  * Fix database path
  * Add dependency on PolicyKit (Closes: #703513)
  * db_missing.patch: Create database if it is missing
  * uai_failsafe.patch: Make UAI a bit more failsafe

 -- Matthias Klumpp <mak@debian.org>  Thu, 21 Mar 2013 14:04:45 +0100

appstream (0.2.0-1) unstable; urgency=low

  * New upstream release: 0.2
  * Fix override disparity
  * Change mail to my Debian address

 -- Matthias Klumpp <mak@debian.org>  Tue, 19 Mar 2013 21:42:32 +0100
