## appstream 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 set(CMAKE_BUILD_TYPE "Debug")
 
 set(AS_VERSION_MAJOR  "0")
-set(AS_VERSION_MINOR  "3")
-set(AS_VERSION_PATCH  "1")
+set(AS_VERSION_MINOR  "4")
+set(AS_VERSION_PATCH  "0")
 set(AS_VERSION "${AS_VERSION_MAJOR}.${AS_VERSION_MINOR}.${AS_VERSION_PATCH}")
 set(APPSTREAM_LIB_API_LEVEL "0")
 
@@ -21,22 +21,18 @@
 #
 # Options
 #
-option(PROVIDER_APPSTREAM "Enable AppStream data provider" ON)
 option(PROVIDER_DEBIAN_DEP11 "Enable DEP11 data provider" OFF)
 option(PROVIDER_UBUNTU_APPINSTALL "Enable AppInstall data provider" OFF)
 option(L18N "Enable localization" ON)
 option(TESTS "Enable Unit Tests" OFF)
 
-set(VALA_COMPILE_FLAGS "")
+set(VALA_COMPILE_FLAGS "--target-glib=2.36")
 
-if(PROVIDER_APPSTREAM)
-	set(VALA_COMPILE_FLAGS ${VALA_COMPILE_FLAGS} --define=APPSTREAM)
-endif()
 if(PROVIDER_DEBIAN_DEP11)
-	set(VALA_COMPILE_FLAGS ${VALA_COMPILE_FLAGS} --define=DEBIAN_DEP11)
+	set(VALA_COMPILE_FLAGS ${VALA_COMPILE_FLAGS} "--define=DEBIAN_DEP11")
 endif()
 if(PROVIDER_UBUNTU_APPINSTALL)
-	set(VALA_COMPILE_FLAGS ${VALA_COMPILE_FLAGS} --define=UBUNTU_APPINSTALL)
+	set(VALA_COMPILE_FLAGS ${VALA_COMPILE_FLAGS} "--define=UBUNTU_APPINSTALL")
 endif()
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
@@ -82,7 +78,7 @@
 set (PKGDATADIR "${DATA_INSTALL_DIR}")
 set (LIBDIR "${INSTALL_DIR_LIB}")
 set (PKGLIBDIR "${INSTALL_DIR_LIBEXEC}")
-set (GETTEXT_PACKAGE "update-appstream-index")
+set (GETTEXT_PACKAGE "appstream")
 set (LOCALE_DIR "${DATADIR}/locale")
 set (VERSION "${AS_VERSION}")
 set (BUILDDIR "${CMAKE_BINARY_DIR}")
@@ -99,12 +95,15 @@
 #
 # Custom C flags
 #
-set (MAINTAINER_CFLAGS "-Werror -Wall -Wcast-align -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self")
+set (MAINTAINER_CFLAGS "-Werror -Wall -Wcast-align -Wuninitialized -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self")
 option (DISABLE_MAINTAINER_CFLAGS "Disable maintainer CFlags" ON)
 if (DISABLE_MAINTAINER_CFLAGS)
 	set (MAINTAINER_CFLAGS "")
 endif (DISABLE_MAINTAINER_CFLAGS)
 add_definitions(${MAINTAINER_CFLAGS})
+
+# we do always enable this to never run into the missing-include-trap with Vala again
+add_definitions("-Werror=implicit-function-declaration")
 
 # Required to include config.h before all other units
 add_definitions ("--include config.h")
