=== debian/control ===
Source: appstream
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9.0.0),
               intltool,
               libdbus-glib-1-dev,
               libgirepository1.0-dev (>= 1.32),
               libglib2.0-dev (>= 2.28),
               libpackagekit-glib2-dev (>= 0.8.10),
               libpolkit-gobject-1-dev,
               libxapian-dev (>= 1.2.12),
               libxml2-dev (>= 2.8.0),
               valac (>= 0.20),
               xmlto
Standards-Version: 3.9.4
Homepage: http://distributions.freedesktop.org/wiki/AppStream
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/appstream.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/appstream.git

Package: appstream-index
Architecture: any
Depends: libappstream0 (>= ${binary:Version}),
         packagekit (>= 0.8.10),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: app-install-data
Description: Application index generator
 AppStream is a cross-distribution effort for building application-
 management tools.
 It provides specifications for an unified application metadata database,
 screenshot services and various other things needed to create user-friendly
 application-centers.
 .
 This package provides tools to generate, maintain and
 access the AppStream database of installed and available applications.

Package: libappstream0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: appstream-index (= ${binary:Version})
Description: Library to access AppStream services
 AppStream is a cross-distribution effort for building application-
 management tools.
 It provides specifications for an unified application metadata database,
 screenshot services and various other things needed to create user-friendly
 application-centers.
 .
 This package contains a GObject-based library to access AppStream
 services, like the application metadata database.

Package: libappstream-dev
Architecture: any
Section: libdevel
Depends: libappstream0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.28),
         ${misc:Depends}
Description: Library to access AppStream services (development files)
 AppStream is a cross-distribution effort for building application-
 management tools.
 It provides specifications for an unified application metadata database,
 screenshot services and various other things needed to create user-friendly
 application-centers.
 .
 This package contains development files necessary to develop
 application-management tools which use the AppStream library.

Package: gir1.2-appstream
Architecture: any
Section: introspection
Depends: gir1.2-freedesktop (>= 1.32),
         gir1.2-glib-2.0 (>= 1.32),
         libappstream0 (= ${binary:Version}),
         ${misc:Depends}
Description: Library to access AppStream services (introspection data)
 AppStream is a cross-distribution effort for building application-
 management tools.
 It provides specifications for an unified application metadata database,
 screenshot services and various other things needed to create user-friendly
 application-centers.
 .
 This package contains introspection data for the AppStream library.
